@import '../../../assets/scss/variables.scss';
.table-users-list {
  width: 100%;
  h1 {
    margin-bottom: 1em;
  }

  table {
    border-collapse: collapse;
    width: 100%;

    thead th,
    tbody td {
      padding: 10px;
      text-align: left;
    }

    thead tr {
      background-color: $primary-color;
      color: white;
      th {
        border-bottom: 1px solid #ddd;
      }
    }

    tbody {
      tr {
        transition: all 0.2s ease-in-out;

        .trash {
          transition: all 0.2s ease-in-out;
          opacity: 0;
        }
        &:nth-child(even) {
          background-color: #f2f2f2;
        }
        &:hover {
          background-color: lighten($color: $primary-color, $amount: 20);

          .trash {
            cursor: pointer;
            opacity: 1;
          }
        }
      }
    }
  }

  margin-bottom: 5em;
}
